com.parse.http

## Class ParseHttpRequest

- java.lang.Object
- - com.parse.http.ParseHttpRequest

    public final class ParseHttpRequest
    extends Object

The http request we send to parse server. Instances of this class are not immutable. The request body may be consumed only once. The other fields are immutable.

### Nested Class Summary

Nested Classes
`static class` `ParseHttpRequest.Builder` Builder of `ParseHttpRequest`.
`static class` `ParseHttpRequest.Method` The `ParseHttpRequest` method type.

### Method Summary

Methods
`Map<String,String>` `getAllHeaders()` Gets all headers from this `ParseHttpRequest`.
`ParseHttpBody` `getBody()` Gets http body of this `ParseHttpRequest`.
`String` `getHeader(String name)` Retrieves the header value from this `ParseHttpRequest` by the given header name.
`ParseHttpRequest.Method` `getMethod()` Gets the `Method` of this `ParseHttpRequest`.
`String` `getUrl()` Gets the url of this `ParseHttpRequest`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getUrl

    public String getUrl()

Gets the url of this `ParseHttpRequest`.

Returns:
  The url of this `ParseHttpRequest`.

#### getMethod

    public ParseHttpRequest.Method getMethod()

Gets the `Method` of this `ParseHttpRequest`.

Returns:
  The `Method` of this `ParseHttpRequest`.

#### getAllHeaders

    public Map<String,String> getAllHeaders()

Gets all headers from this `ParseHttpRequest`.

Returns:
  The headers of this `ParseHttpRequest`.

#### getHeader

    public String getHeader(String name)

Retrieves the header value from this `ParseHttpRequest` by the given header name.

Parameters:
  `name` - The name of the header.
Returns:
  The value of the header.

#### getBody

    public ParseHttpBody getBody()

Gets http body of this `ParseHttpRequest`.

Returns:
  The http body of this `ParseHttpRequest`.